Bug 5003 - Can not search for organisation by name
Summary: Can not search for organisation by name
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: rel_3_2
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Bugs List
URL: /members/guarantor_search.pl
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-14 15:29 UTC by Katrin Fischer
Modified: 2010-11-23 11:30 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
proposed patch (4.71 KB, patch)
2010-08-11 12:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
New patch, small error fixed, tested with HEAD (4.54 KB, patch)
2010-11-10 06:55 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2010-07-14 15:29:21 UTC
When adding the organisation to the professional account you can not search for the organisation by name, only cardnumber works.

The search brings up all patrons, not only organisations. 

The patron category is not shown in the search results.

You can link to every patron, not only to organisations. Not sure this behaviour is intended.
Comment 1 Katrin Fischer 2010-08-11 12:44:07 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2010-11-10 06:55:55 UTC
Created attachment 2736 [details] [review]
New patch, small error fixed, tested with HEAD
Comment 3 Katrin Fischer 2010-11-11 20:16:43 UTC
Patch pushed to 3.2 and HEAD.
Comment 4 Chris Nighswonger 2010-11-18 03:15:32 UTC
This bug has a patch presently committed to HEAD and 3.2.x.

Please take the appropriate action to update the status of this bug.

Remember, bugs which have been resolved should be tested and marked closed, preferably by the original reporter.
Comment 5 Katrin Fischer 2010-11-23 11:30:03 UTC
Successfully tested with 3.2.1